Skip to content
Product Docs

Create Project

POST/api/v2/projects

Create a new project in the given organization.

Query ParametersExpand Collapse
organization_id: string
Cookie ParametersExpand Collapse
session: optional string
Body ParametersJSONExpand Collapse
name: string

The project’s display name.

maxLength3000
minLength1
ReturnsExpand Collapse
Project object { id, name, organization_id, 3 more }

API response schema for a project.

id: string

The project’s unique identifier.

name: string

The project’s display name.

organization_id: string

The organization the project belongs to.

created_at: optional string

Creation datetime

formatdate-time
is_default: optional boolean

Whether this project is the default project for its organization.

updated_at: optional string

Update datetime

formatdate-time

Create Project

curl https://api.cloud.llamaindex.ai/api/v2/projects \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY" \
    -d '{
          "name": "x"
        }'
{
  "id": "id",
  "name": "name",
  "organization_id": "organization_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "is_default": true,
  "updated_at": "2019-12-27T18:11:19.117Z"
}
Returns Examples
{
  "id": "id",
  "name": "name",
  "organization_id": "organization_id",
  "created_at": "2019-12-27T18:11:19.117Z",
  "is_default": true,
  "updated_at": "2019-12-27T18:11:19.117Z"
}